function funct_apcreinstall {

echo " "
ASK "APC reinstall - Would you like to continue? [y/n] "   
if [[ "$key" = [nN] ]];
then
    exit 0
fi

DIR_TMP="/svr-setup"
if [ ! -d "$DIR_TMP" ]; then
mkdir /svr-setup
fi

echo -n "Re-install which version of APC? (version i.e. 3.1.10): "
read apcver

    echo "*************************************************"
    cecho "* Re-installing Alternative PHP Cache" $boldgreen
    echo "*************************************************"

    cd /svr-setup

    if [ -s APC-${apcver}.tgz ]; then
        cecho "xcache APC-${apcver}.tgz Archive found, skipping download..." $boldgreen
    else
        $DOWNLOADAPP http://pecl.php.net/get/APC-${apcver}.tgz $WGETRETRY
    fi

tar xvzf APC-${apcver}.tgz
cd APC-${apcver}
make clean
/usr/local/bin/phpize -clean
/usr/local/bin/phpize

if [ "$apcver" == '3.1.10' ]; then
sed -i 's/PHP_APC_VERSION \"3.1.9\"/PHP_APC_VERSION \"3.1.10\"/' php_apc.h
fi

./configure --with-php-config=/usr/local/bin/php-config
make
make install

APCSOCHECK=`grep 'extension=apc.so' /usr/local/lib/php.ini`

if [[ -z $APCSOCHECK ]]; then

echo

read -p "Does this server have less than <=2048MB of memory installed ? [y/n]: " lessapcmem

if [[ "$lessapcmem" = [yY] ]]; then

echo $lessapcmem

echo -e "\nCopying apc-min.ini >> /usr/local/lib/php.ini\n"
cat $CUR_DIR/config/apc/apc-min.ini >> /usr/local/lib/php.ini

else

echo $lessapcmem

echo -e "\nCopying apc.ini >> /usr/local/lib/php.ini\n"
cat $CUR_DIR/config/apc/apc.ini >> /usr/local/lib/php.ini

fi

fi # check if apc.so exists in php.ini

    /etc/init.d/php-fpm restart

if [ -f /usr/local/nginx/html/myapc.php ]; then
# Randomize myapc.php filename
N=$RANDOM
mv /usr/local/nginx/html/myapc.php /usr/local/nginx/html/${N}_myapc.php
chown nginx:nginx /usr/local/nginx/html/${N}_myapc.php
fi

    echo "*************************************************"
    cecho "* Alternative PHP Cache reinstalled" $boldgreen
    echo "*************************************************"

if [[ "$ENABLE_MENU" != [yY] ]]; then

ASK "Do would you like to run script cleanup (Highly recommended) ? [y/n] "
if [[ "$key" = [yY] ]];
then
    rm -rf /svr-setup
    echo "Temporary files/folders removed"
fi

ASK "Do you want to delete this script ? [y/n] "
if [[ "$key" = [yY] ]];
then
    echo "*************************************************"
    cecho "* Deleting Centmin script... " $boldgreen
    echo "*************************************************"
    echo "Removing..."

rm -f $0

    echo "*************************************************"
    cecho "* Centmin script deleted" $boldgreen
    echo "*************************************************"
fi

fi

}
